approvePairing
POST
/api/v1/screens/pairing/{id}/approve
const url = 'https://example.com/api/v1/screens/pairing/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/approve';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"name":"example","locationId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","roomName":"example","roomNumber":"example","description":"example","replaceExistingCredential":false,"replaceHardware":false,"replacementScreenId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/screens/pairing/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/approve \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "locationId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "roomName": "example", "roomNumber": "example", "description": "example", "replaceExistingCredential": false, "replaceHardware": false, "replacementScreenId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
name
required
string
locationId
string | null format: uuid
roomName
required
string
roomNumber
required
string
description
required
string
replaceExistingCredential
Explicitly authorizes credential rotation after successful enrollment.
boolean
replaceHardware
Assigns the new player to an existing logical screen without changing its content or policy relationships.
boolean
replacementScreenId
Required when replaceHardware is true.
string | null format: uuid
Responses
Section titled “ Responses ”Screen approved
Pairing recovery confirmation required, hardware replacement conflict, or pairing state conflict